Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.35.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
24.35.0.0
Broadcast address
24.35.255.255
First usable
24.35.0.1
Last usable
24.35.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 18230000 · Integer 404946944 to 405012479
Reverse DNS zone
35.24.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.00100011..00000000.0000000024.35.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00011000.00100011..00000000.0000000024.35.0.0
Broadcast00011000.00100011..11111111.1111111124.35.255.255
Split into smaller subnets/27

24.35.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.35.0.0/2724.35.0.1 to 24.35.0.3024.35.0.3130
224.35.0.32/2724.35.0.33 to 24.35.0.6224.35.0.6330
324.35.0.64/2724.35.0.65 to 24.35.0.9424.35.0.9530
424.35.0.96/2724.35.0.97 to 24.35.0.12624.35.0.12730
524.35.0.128/2724.35.0.129 to 24.35.0.15824.35.0.15930
624.35.0.160/2724.35.0.161 to 24.35.0.19024.35.0.19130
724.35.0.192/2724.35.0.193 to 24.35.0.22224.35.0.22330
824.35.0.224/2724.35.0.225 to 24.35.0.25424.35.0.25530
924.35.1.0/2724.35.1.1 to 24.35.1.3024.35.1.3130
1024.35.1.32/2724.35.1.33 to 24.35.1.6224.35.1.6330
1124.35.1.64/2724.35.1.65 to 24.35.1.9424.35.1.9530
1224.35.1.96/2724.35.1.97 to 24.35.1.12624.35.1.12730
1324.35.1.128/2724.35.1.129 to 24.35.1.15824.35.1.15930
1424.35.1.160/2724.35.1.161 to 24.35.1.19024.35.1.19130
1524.35.1.192/2724.35.1.193 to 24.35.1.22224.35.1.22330
1624.35.1.224/2724.35.1.225 to 24.35.1.25424.35.1.25530
1724.35.2.0/2724.35.2.1 to 24.35.2.3024.35.2.3130
1824.35.2.32/2724.35.2.33 to 24.35.2.6224.35.2.6330
1924.35.2.64/2724.35.2.65 to 24.35.2.9424.35.2.9530
2024.35.2.96/2724.35.2.97 to 24.35.2.12624.35.2.12730
2124.35.2.128/2724.35.2.129 to 24.35.2.15824.35.2.15930
2224.35.2.160/2724.35.2.161 to 24.35.2.19024.35.2.19130
2324.35.2.192/2724.35.2.193 to 24.35.2.22224.35.2.22330
2424.35.2.224/2724.35.2.225 to 24.35.2.25424.35.2.25530
2524.35.3.0/2724.35.3.1 to 24.35.3.3024.35.3.3130
2624.35.3.32/2724.35.3.33 to 24.35.3.6224.35.3.6330
2724.35.3.64/2724.35.3.65 to 24.35.3.9424.35.3.9530
2824.35.3.96/2724.35.3.97 to 24.35.3.12624.35.3.12730
2924.35.3.128/2724.35.3.129 to 24.35.3.15824.35.3.15930
3024.35.3.160/2724.35.3.161 to 24.35.3.19024.35.3.19130
3124.35.3.192/2724.35.3.193 to 24.35.3.22224.35.3.22330
3224.35.3.224/2724.35.3.225 to 24.35.3.25424.35.3.25530
3324.35.4.0/2724.35.4.1 to 24.35.4.3024.35.4.3130
3424.35.4.32/2724.35.4.33 to 24.35.4.6224.35.4.6330
3524.35.4.64/2724.35.4.65 to 24.35.4.9424.35.4.9530
3624.35.4.96/2724.35.4.97 to 24.35.4.12624.35.4.12730
3724.35.4.128/2724.35.4.129 to 24.35.4.15824.35.4.15930
3824.35.4.160/2724.35.4.161 to 24.35.4.19024.35.4.19130
3924.35.4.192/2724.35.4.193 to 24.35.4.22224.35.4.22330
4024.35.4.224/2724.35.4.225 to 24.35.4.25424.35.4.25530
4124.35.5.0/2724.35.5.1 to 24.35.5.3024.35.5.3130
4224.35.5.32/2724.35.5.33 to 24.35.5.6224.35.5.6330
4324.35.5.64/2724.35.5.65 to 24.35.5.9424.35.5.9530
4424.35.5.96/2724.35.5.97 to 24.35.5.12624.35.5.12730
4524.35.5.128/2724.35.5.129 to 24.35.5.15824.35.5.15930
4624.35.5.160/2724.35.5.161 to 24.35.5.19024.35.5.19130
4724.35.5.192/2724.35.5.193 to 24.35.5.22224.35.5.22330
4824.35.5.224/2724.35.5.225 to 24.35.5.25424.35.5.25530
4924.35.6.0/2724.35.6.1 to 24.35.6.3024.35.6.3130
5024.35.6.32/2724.35.6.33 to 24.35.6.6224.35.6.6330
5124.35.6.64/2724.35.6.65 to 24.35.6.9424.35.6.9530
5224.35.6.96/2724.35.6.97 to 24.35.6.12624.35.6.12730
5324.35.6.128/2724.35.6.129 to 24.35.6.15824.35.6.15930
5424.35.6.160/2724.35.6.161 to 24.35.6.19024.35.6.19130
5524.35.6.192/2724.35.6.193 to 24.35.6.22224.35.6.22330
5624.35.6.224/2724.35.6.225 to 24.35.6.25424.35.6.25530
5724.35.7.0/2724.35.7.1 to 24.35.7.3024.35.7.3130
5824.35.7.32/2724.35.7.33 to 24.35.7.6224.35.7.6330
5924.35.7.64/2724.35.7.65 to 24.35.7.9424.35.7.9530
6024.35.7.96/2724.35.7.97 to 24.35.7.12624.35.7.12730
6124.35.7.128/2724.35.7.129 to 24.35.7.15824.35.7.15930
6224.35.7.160/2724.35.7.161 to 24.35.7.19024.35.7.19130
6324.35.7.192/2724.35.7.193 to 24.35.7.22224.35.7.22330
6424.35.7.224/2724.35.7.225 to 24.35.7.25424.35.7.25530
6524.35.8.0/2724.35.8.1 to 24.35.8.3024.35.8.3130
6624.35.8.32/2724.35.8.33 to 24.35.8.6224.35.8.6330
6724.35.8.64/2724.35.8.65 to 24.35.8.9424.35.8.9530
6824.35.8.96/2724.35.8.97 to 24.35.8.12624.35.8.12730
6924.35.8.128/2724.35.8.129 to 24.35.8.15824.35.8.15930
7024.35.8.160/2724.35.8.161 to 24.35.8.19024.35.8.19130
7124.35.8.192/2724.35.8.193 to 24.35.8.22224.35.8.22330
7224.35.8.224/2724.35.8.225 to 24.35.8.25424.35.8.25530
7324.35.9.0/2724.35.9.1 to 24.35.9.3024.35.9.3130
7424.35.9.32/2724.35.9.33 to 24.35.9.6224.35.9.6330
7524.35.9.64/2724.35.9.65 to 24.35.9.9424.35.9.9530
7624.35.9.96/2724.35.9.97 to 24.35.9.12624.35.9.12730
7724.35.9.128/2724.35.9.129 to 24.35.9.15824.35.9.15930
7824.35.9.160/2724.35.9.161 to 24.35.9.19024.35.9.19130
7924.35.9.192/2724.35.9.193 to 24.35.9.22224.35.9.22330
8024.35.9.224/2724.35.9.225 to 24.35.9.25424.35.9.25530
8124.35.10.0/2724.35.10.1 to 24.35.10.3024.35.10.3130
8224.35.10.32/2724.35.10.33 to 24.35.10.6224.35.10.6330
8324.35.10.64/2724.35.10.65 to 24.35.10.9424.35.10.9530
8424.35.10.96/2724.35.10.97 to 24.35.10.12624.35.10.12730
8524.35.10.128/2724.35.10.129 to 24.35.10.15824.35.10.15930
8624.35.10.160/2724.35.10.161 to 24.35.10.19024.35.10.19130
8724.35.10.192/2724.35.10.193 to 24.35.10.22224.35.10.22330
8824.35.10.224/2724.35.10.225 to 24.35.10.25424.35.10.25530
8924.35.11.0/2724.35.11.1 to 24.35.11.3024.35.11.3130
9024.35.11.32/2724.35.11.33 to 24.35.11.6224.35.11.6330
9124.35.11.64/2724.35.11.65 to 24.35.11.9424.35.11.9530
9224.35.11.96/2724.35.11.97 to 24.35.11.12624.35.11.12730
9324.35.11.128/2724.35.11.129 to 24.35.11.15824.35.11.15930
9424.35.11.160/2724.35.11.161 to 24.35.11.19024.35.11.19130
9524.35.11.192/2724.35.11.193 to 24.35.11.22224.35.11.22330
9624.35.11.224/2724.35.11.225 to 24.35.11.25424.35.11.25530
9724.35.12.0/2724.35.12.1 to 24.35.12.3024.35.12.3130
9824.35.12.32/2724.35.12.33 to 24.35.12.6224.35.12.6330
9924.35.12.64/2724.35.12.65 to 24.35.12.9424.35.12.9530
10024.35.12.96/2724.35.12.97 to 24.35.12.12624.35.12.12730
10124.35.12.128/2724.35.12.129 to 24.35.12.15824.35.12.15930
10224.35.12.160/2724.35.12.161 to 24.35.12.19024.35.12.19130
10324.35.12.192/2724.35.12.193 to 24.35.12.22224.35.12.22330
10424.35.12.224/2724.35.12.225 to 24.35.12.25424.35.12.25530
10524.35.13.0/2724.35.13.1 to 24.35.13.3024.35.13.3130
10624.35.13.32/2724.35.13.33 to 24.35.13.6224.35.13.6330
10724.35.13.64/2724.35.13.65 to 24.35.13.9424.35.13.9530
10824.35.13.96/2724.35.13.97 to 24.35.13.12624.35.13.12730
10924.35.13.128/2724.35.13.129 to 24.35.13.15824.35.13.15930
11024.35.13.160/2724.35.13.161 to 24.35.13.19024.35.13.19130
11124.35.13.192/2724.35.13.193 to 24.35.13.22224.35.13.22330
11224.35.13.224/2724.35.13.225 to 24.35.13.25424.35.13.25530
11324.35.14.0/2724.35.14.1 to 24.35.14.3024.35.14.3130
11424.35.14.32/2724.35.14.33 to 24.35.14.6224.35.14.6330
11524.35.14.64/2724.35.14.65 to 24.35.14.9424.35.14.9530
11624.35.14.96/2724.35.14.97 to 24.35.14.12624.35.14.12730
11724.35.14.128/2724.35.14.129 to 24.35.14.15824.35.14.15930
11824.35.14.160/2724.35.14.161 to 24.35.14.19024.35.14.19130
11924.35.14.192/2724.35.14.193 to 24.35.14.22224.35.14.22330
12024.35.14.224/2724.35.14.225 to 24.35.14.25424.35.14.25530
12124.35.15.0/2724.35.15.1 to 24.35.15.3024.35.15.3130
12224.35.15.32/2724.35.15.33 to 24.35.15.6224.35.15.6330
12324.35.15.64/2724.35.15.65 to 24.35.15.9424.35.15.9530
12424.35.15.96/2724.35.15.97 to 24.35.15.12624.35.15.12730
12524.35.15.128/2724.35.15.129 to 24.35.15.15824.35.15.15930
12624.35.15.160/2724.35.15.161 to 24.35.15.19024.35.15.19130
12724.35.15.192/2724.35.15.193 to 24.35.15.22224.35.15.22330
12824.35.15.224/2724.35.15.225 to 24.35.15.25424.35.15.25530
12924.35.16.0/2724.35.16.1 to 24.35.16.3024.35.16.3130
13024.35.16.32/2724.35.16.33 to 24.35.16.6224.35.16.6330
13124.35.16.64/2724.35.16.65 to 24.35.16.9424.35.16.9530
13224.35.16.96/2724.35.16.97 to 24.35.16.12624.35.16.12730
13324.35.16.128/2724.35.16.129 to 24.35.16.15824.35.16.15930
13424.35.16.160/2724.35.16.161 to 24.35.16.19024.35.16.19130
13524.35.16.192/2724.35.16.193 to 24.35.16.22224.35.16.22330
13624.35.16.224/2724.35.16.225 to 24.35.16.25424.35.16.25530
13724.35.17.0/2724.35.17.1 to 24.35.17.3024.35.17.3130
13824.35.17.32/2724.35.17.33 to 24.35.17.6224.35.17.6330
13924.35.17.64/2724.35.17.65 to 24.35.17.9424.35.17.9530
14024.35.17.96/2724.35.17.97 to 24.35.17.12624.35.17.12730
14124.35.17.128/2724.35.17.129 to 24.35.17.15824.35.17.15930
14224.35.17.160/2724.35.17.161 to 24.35.17.19024.35.17.19130
14324.35.17.192/2724.35.17.193 to 24.35.17.22224.35.17.22330
14424.35.17.224/2724.35.17.225 to 24.35.17.25424.35.17.25530
14524.35.18.0/2724.35.18.1 to 24.35.18.3024.35.18.3130
14624.35.18.32/2724.35.18.33 to 24.35.18.6224.35.18.6330
14724.35.18.64/2724.35.18.65 to 24.35.18.9424.35.18.9530
14824.35.18.96/2724.35.18.97 to 24.35.18.12624.35.18.12730
14924.35.18.128/2724.35.18.129 to 24.35.18.15824.35.18.15930
15024.35.18.160/2724.35.18.161 to 24.35.18.19024.35.18.19130
15124.35.18.192/2724.35.18.193 to 24.35.18.22224.35.18.22330
15224.35.18.224/2724.35.18.225 to 24.35.18.25424.35.18.25530
15324.35.19.0/2724.35.19.1 to 24.35.19.3024.35.19.3130
15424.35.19.32/2724.35.19.33 to 24.35.19.6224.35.19.6330
15524.35.19.64/2724.35.19.65 to 24.35.19.9424.35.19.9530
15624.35.19.96/2724.35.19.97 to 24.35.19.12624.35.19.12730
15724.35.19.128/2724.35.19.129 to 24.35.19.15824.35.19.15930
15824.35.19.160/2724.35.19.161 to 24.35.19.19024.35.19.19130
15924.35.19.192/2724.35.19.193 to 24.35.19.22224.35.19.22330
16024.35.19.224/2724.35.19.225 to 24.35.19.25424.35.19.25530
16124.35.20.0/2724.35.20.1 to 24.35.20.3024.35.20.3130
16224.35.20.32/2724.35.20.33 to 24.35.20.6224.35.20.6330
16324.35.20.64/2724.35.20.65 to 24.35.20.9424.35.20.9530
16424.35.20.96/2724.35.20.97 to 24.35.20.12624.35.20.12730
16524.35.20.128/2724.35.20.129 to 24.35.20.15824.35.20.15930
16624.35.20.160/2724.35.20.161 to 24.35.20.19024.35.20.19130
16724.35.20.192/2724.35.20.193 to 24.35.20.22224.35.20.22330
16824.35.20.224/2724.35.20.225 to 24.35.20.25424.35.20.25530
16924.35.21.0/2724.35.21.1 to 24.35.21.3024.35.21.3130
17024.35.21.32/2724.35.21.33 to 24.35.21.6224.35.21.6330
17124.35.21.64/2724.35.21.65 to 24.35.21.9424.35.21.9530
17224.35.21.96/2724.35.21.97 to 24.35.21.12624.35.21.12730
17324.35.21.128/2724.35.21.129 to 24.35.21.15824.35.21.15930
17424.35.21.160/2724.35.21.161 to 24.35.21.19024.35.21.19130
17524.35.21.192/2724.35.21.193 to 24.35.21.22224.35.21.22330
17624.35.21.224/2724.35.21.225 to 24.35.21.25424.35.21.25530
17724.35.22.0/2724.35.22.1 to 24.35.22.3024.35.22.3130
17824.35.22.32/2724.35.22.33 to 24.35.22.6224.35.22.6330
17924.35.22.64/2724.35.22.65 to 24.35.22.9424.35.22.9530
18024.35.22.96/2724.35.22.97 to 24.35.22.12624.35.22.12730
18124.35.22.128/2724.35.22.129 to 24.35.22.15824.35.22.15930
18224.35.22.160/2724.35.22.161 to 24.35.22.19024.35.22.19130
18324.35.22.192/2724.35.22.193 to 24.35.22.22224.35.22.22330
18424.35.22.224/2724.35.22.225 to 24.35.22.25424.35.22.25530
18524.35.23.0/2724.35.23.1 to 24.35.23.3024.35.23.3130
18624.35.23.32/2724.35.23.33 to 24.35.23.6224.35.23.6330
18724.35.23.64/2724.35.23.65 to 24.35.23.9424.35.23.9530
18824.35.23.96/2724.35.23.97 to 24.35.23.12624.35.23.12730
18924.35.23.128/2724.35.23.129 to 24.35.23.15824.35.23.15930
19024.35.23.160/2724.35.23.161 to 24.35.23.19024.35.23.19130
19124.35.23.192/2724.35.23.193 to 24.35.23.22224.35.23.22330
19224.35.23.224/2724.35.23.225 to 24.35.23.25424.35.23.25530
19324.35.24.0/2724.35.24.1 to 24.35.24.3024.35.24.3130
19424.35.24.32/2724.35.24.33 to 24.35.24.6224.35.24.6330
19524.35.24.64/2724.35.24.65 to 24.35.24.9424.35.24.9530
19624.35.24.96/2724.35.24.97 to 24.35.24.12624.35.24.12730
19724.35.24.128/2724.35.24.129 to 24.35.24.15824.35.24.15930
19824.35.24.160/2724.35.24.161 to 24.35.24.19024.35.24.19130
19924.35.24.192/2724.35.24.193 to 24.35.24.22224.35.24.22330
20024.35.24.224/2724.35.24.225 to 24.35.24.25424.35.24.25530
20124.35.25.0/2724.35.25.1 to 24.35.25.3024.35.25.3130
20224.35.25.32/2724.35.25.33 to 24.35.25.6224.35.25.6330
20324.35.25.64/2724.35.25.65 to 24.35.25.9424.35.25.9530
20424.35.25.96/2724.35.25.97 to 24.35.25.12624.35.25.12730
20524.35.25.128/2724.35.25.129 to 24.35.25.15824.35.25.15930
20624.35.25.160/2724.35.25.161 to 24.35.25.19024.35.25.19130
20724.35.25.192/2724.35.25.193 to 24.35.25.22224.35.25.22330
20824.35.25.224/2724.35.25.225 to 24.35.25.25424.35.25.25530
20924.35.26.0/2724.35.26.1 to 24.35.26.3024.35.26.3130
21024.35.26.32/2724.35.26.33 to 24.35.26.6224.35.26.6330
21124.35.26.64/2724.35.26.65 to 24.35.26.9424.35.26.9530
21224.35.26.96/2724.35.26.97 to 24.35.26.12624.35.26.12730
21324.35.26.128/2724.35.26.129 to 24.35.26.15824.35.26.15930
21424.35.26.160/2724.35.26.161 to 24.35.26.19024.35.26.19130
21524.35.26.192/2724.35.26.193 to 24.35.26.22224.35.26.22330
21624.35.26.224/2724.35.26.225 to 24.35.26.25424.35.26.25530
21724.35.27.0/2724.35.27.1 to 24.35.27.3024.35.27.3130
21824.35.27.32/2724.35.27.33 to 24.35.27.6224.35.27.6330
21924.35.27.64/2724.35.27.65 to 24.35.27.9424.35.27.9530
22024.35.27.96/2724.35.27.97 to 24.35.27.12624.35.27.12730
22124.35.27.128/2724.35.27.129 to 24.35.27.15824.35.27.15930
22224.35.27.160/2724.35.27.161 to 24.35.27.19024.35.27.19130
22324.35.27.192/2724.35.27.193 to 24.35.27.22224.35.27.22330
22424.35.27.224/2724.35.27.225 to 24.35.27.25424.35.27.25530
22524.35.28.0/2724.35.28.1 to 24.35.28.3024.35.28.3130
22624.35.28.32/2724.35.28.33 to 24.35.28.6224.35.28.6330
22724.35.28.64/2724.35.28.65 to 24.35.28.9424.35.28.9530
22824.35.28.96/2724.35.28.97 to 24.35.28.12624.35.28.12730
22924.35.28.128/2724.35.28.129 to 24.35.28.15824.35.28.15930
23024.35.28.160/2724.35.28.161 to 24.35.28.19024.35.28.19130
23124.35.28.192/2724.35.28.193 to 24.35.28.22224.35.28.22330
23224.35.28.224/2724.35.28.225 to 24.35.28.25424.35.28.25530
23324.35.29.0/2724.35.29.1 to 24.35.29.3024.35.29.3130
23424.35.29.32/2724.35.29.33 to 24.35.29.6224.35.29.6330
23524.35.29.64/2724.35.29.65 to 24.35.29.9424.35.29.9530
23624.35.29.96/2724.35.29.97 to 24.35.29.12624.35.29.12730
23724.35.29.128/2724.35.29.129 to 24.35.29.15824.35.29.15930
23824.35.29.160/2724.35.29.161 to 24.35.29.19024.35.29.19130
23924.35.29.192/2724.35.29.193 to 24.35.29.22224.35.29.22330
24024.35.29.224/2724.35.29.225 to 24.35.29.25424.35.29.25530
24124.35.30.0/2724.35.30.1 to 24.35.30.3024.35.30.3130
24224.35.30.32/2724.35.30.33 to 24.35.30.6224.35.30.6330
24324.35.30.64/2724.35.30.65 to 24.35.30.9424.35.30.9530
24424.35.30.96/2724.35.30.97 to 24.35.30.12624.35.30.12730
24524.35.30.128/2724.35.30.129 to 24.35.30.15824.35.30.15930
24624.35.30.160/2724.35.30.161 to 24.35.30.19024.35.30.19130
24724.35.30.192/2724.35.30.193 to 24.35.30.22224.35.30.22330
24824.35.30.224/2724.35.30.225 to 24.35.30.25424.35.30.25530
24924.35.31.0/2724.35.31.1 to 24.35.31.3024.35.31.3130
25024.35.31.32/2724.35.31.33 to 24.35.31.6224.35.31.6330
25124.35.31.64/2724.35.31.65 to 24.35.31.9424.35.31.9530
25224.35.31.96/2724.35.31.97 to 24.35.31.12624.35.31.12730
25324.35.31.128/2724.35.31.129 to 24.35.31.15824.35.31.15930
25424.35.31.160/2724.35.31.161 to 24.35.31.19024.35.31.19130
25524.35.31.192/2724.35.31.193 to 24.35.31.22224.35.31.22330
25624.35.31.224/2724.35.31.225 to 24.35.31.25424.35.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses